<include file="public@header" />
</head>
<body>
	<div class="wrap js-check-wrap">
		<ul class="nav nav-tabs">
			<li class="active"><a >{:lang('VIDEO_LIST')}</a></li>
            <if condition="$status2 eq 1">
            <li><a href="{:url('Video/add')}">{:lang('ADD')}</a></li>
            </if>
		</ul>
		
		<form class="well form-inline margin-top-20" method="post" action='{:url("Video/index")}'>
			{:lang('SORT')}: 
            <select class="form-control" name="ordertype">
				<option value="">{:lang('DEFAULT')}</option>
                <volist name="ordertype" id="v">
                    <option value="{$key}" <if condition="input('request.ordertype') neq '' && input('request.ordertype') eq $key">selected</if>>{$v}</option>
                </volist>
			</select>
            
			
            {:lang('TITLE')}: 
            <input class="form-control" type="text" name="keyword1" style="width: 200px;" value="{:input('request.keyword1')}"
                   placeholder="{:lang('PLEASE_ENTER_VIDEO_TITLE')}">
            {:lang('USER_ID')}: 
            <input class="form-control" type="text" name="uid" style="width: 200px;" value="{:input('request.uid')}"
                   placeholder="{:lang('PLEASE_ENTER_USER_ID_NICKNAME')}">
                   
            {:lang('KEYWORD')}: 
            <input class="form-control" type="text" name="keyword" style="width: 200px;" value="{:input('request.keyword')}"
                   placeholder="{:lang('PLEASE_ENTER_VIDEO_ID')}">
            <input type="hidden" name="status" value="{$status2}"/>
            <input type="hidden" name="isdel" value="{$isdel2}"/>
			<input type="submit" class="btn btn-primary" value="{:lang('SEARCH')}">
		</form>		
		
		<form method="post" class="js-ajax-form">
            <div class="table-actions">

                <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('Video/del')}"
                        data-subcheck="true">{:lang('DELETE')}
                </button>

                <if condition="isset($sign) and $sign eq 'wait'">
                    <button class="btn btn-success btn-sm js-ajax-submit" type="submit" data-action="{:url('Video/batchPass')}"
                            data-subcheck="true">{:lang('BULK_APPROVE')}
                    </button>

                    <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('Video/batchReject')}"
                            data-subcheck="true">{:lang('BULK_DENY')}
                    </button>
                </if>

            </div>

            

			<table class="table table-hover table-bordered">
				<thead>
					<tr>
                        <th width="16">
                            <label>
                                <input type="checkbox" class="js-check-all" data-direction="x" data-checklist="js-check-x">
                            </label>
                        </th>
						<th>ID</th>
						<th>{:lang('MEMBER_NICKNAME')}（ID）</th>
						<th width="10%">{:lang('TITLE')}</th>
						<th>{:lang('IMAGE')}</th>
						<th>{:lang('LIKES_COUNT')}</th>
						<th>{:lang('COMMENT_COUNT')}</th>
						<th>{:lang('SHARE_COUNT')}</th>
						<th>{:lang('VIDEO_STATUS')}</th>
                        <if condition="isset($sign) and $sign neq 'wait' and $sign neq 'nopass'">
						  <th>{:lang('SHELF_STATUS')}</th>
                        </if>
						<th>{:lang('IS_PRODUCT_BOUND')}</th>
						<th>{:lang('PUBLISH_TIME')}</th>
						<th>{:lang('ACTIONS')}</th>
					</tr>
				</thead>
				<tbody>
					<foreach name="lists" item="vo">
					<tr>
                        <td>
                            <input type="checkbox" class="js-check" data-yid="js-check-y" data-xid="js-check-x" name="ids[]" value="{$vo.id}">
                        </td>
						<td>{$vo.id}</td>
						<td>{$vo['userinfo']['user_nickname']} ({$vo['uid']})</td>
						<td>{$vo['title']}</td>
						<td><img src="{$vo['thumb']}" class="imgtip" style="max-width:100px;max-height:100px;"/></td>
						<td>{$vo['likes']}</td>
						<td>{$vo['comments']}</td>
						<td>{$vo['shares']}</td>
						<td>{$status[$vo['status']]}</td>
                        <if condition="isset($sign) and $sign neq 'wait' and $sign neq 'nopass'">
						  <td>{$isdel[$vo['isdel']]}</td>
                        </if>
						<td><if condition="$vo['type'] eq '1'">{:lang('YES')}<else />{:lang('NO')}</if></td>
						<td>{:date('Y-m-d H:i:s',$vo['addtime'])}</td>
						<td>
                            <a class="btn btn-xs btn-info view" data-id="{$vo['id']}">{:lang('WATCH_THE_VIDEO')}</a>
                            
                            <if condition="$vo['isdel'] eq '0' and $vo['status'] neq '0'">
                            <a class="btn btn-xs btn-info comment" data-id="{$vo['id']}">{:lang('COMMENT_LIST')}</a>
                            </if>
                            
                            <if condition="$vo['isdel'] eq '0' and $vo['status'] neq '0' and $vo['status'] neq '2'">
                            <a class="btn btn-xs btn-warning xiajia" data-id="{$vo['id']}">{:lang('OFF_SHELF_VIDEO')}</a>
                            </if>
                            <if condition="$vo['isdel'] eq '1'">
                            <a class="btn btn-xs btn-success js-ajax-dialog-btn" href="{:url('Video/setDel',array('id'=>$vo['id'],'isdel'=>0,'reason'=>''))}">{:lang('PUT_ON_SHELF')}</a>
                            </if>
                            
                            <if condition="$vo['status'] eq 0">
                                <a class="btn btn-xs btn-success js-ajax-dialog-btn" href="{:url('Video/setstatus',array('id'=>$vo['id'],'status'=>1))}">{:lang('AGREE')}</a>
                                <a class="btn btn-xs btn-warning js-ajax-dialog-btn" href="{:url('Video/setstatus',array('id'=>$vo['id'],'status'=>2))}">{:lang('REJECT')}</a>
                            </if>
                            
                            
                            <a class="btn btn-xs btn-primary" href='{:url("Video/edit",array("id"=>$vo["id"]))}'>{:lang('EDIT')}</a>
							<a class="btn btn-xs btn-danger js-ajax-delete" href="{:url('Video/del',array('id'=>$vo['id']))}">{:lang('DELETE')}</a>
						</td>
					</tr>
					</foreach>
				</tbody>
			</table>
			<div class="pagination">{$page}</div>
		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
	<script type="text/javascript">
        $(function(){
            
            Wind.use('layer');
            $('.comment').click(function(){
                var _this=$(this);
                var id=_this.data('id');

                layer.open({
                    type: 2,
                    title: '{:lang("COMMENT_LIST")}',
                    shadeClose: true,
                    shade: 0.8,
                    area: ['800px', '90%'],
                    content: '/admin/videocom/index?videoid='+id
                }); 
                
            });
            
            $('.view').click(function(){
                var _this=$(this);
                var id=_this.data('id');

                layer.open({
                    type: 2,
                    title: '{:lang("CHECK")}',
                    shadeClose: true,
                    shade: 0.8,
                    area: ['500px', '600px'],
                    content: '/admin/Video/see?id='+id
                }); 
                
            });
            
            $('.xiajia').click(function(){
                var _this=$(this);
                var id=_this.data('id');
                
                layer.prompt({
                    formType: 2,
                    title: '{:lang("PLEASE_ENTER_DELETE_REASON")}',
                    btn: ['{:lang("OK")}','{:lang("CANCEL")}'],
                    area: ['800px', '100px'] //自定义文本域宽高
                }, function(value, index, elem){
                    $.ajax({
                        url:"{:url('video/setDel')}",
                        type:'POST',
                        data:{id:id,isdel:1,reason:value},
                        dataType:'json',
                        success:function(data){
                            var code=data.code;
                            if(code==0){
                                layer.msg(data.msg);
                                return !1;
                            }
                            layer.msg(data.msg,{},function(){
                                layer.closeAll();
                                reloadPage(window);
                            });
                            
                        },
                        error:function(){
                            layer.msg('{:lang("OPERATION_FAILED_PLEASE_TRY_AGAIN")}')
                        }
                    });
                    
                });
                
            })
        })
	</script>
</body>
</html>